libguestfs update
Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and Plesk
  1. Jacob Godin
  2. 24.07.2012
  3.  Subscribe via email
We're having some issues updating libguestfs from 1.2.14-7.el5 to 1.19.13-4.el5. We have the CL repos enabled, and the default CentOS repos disabled. Here's the dep error:

--> Finished Dependency Resolution
kvm-83-249.el5_8.x86_64 from cloudlinux-x86_64-server-5 has depsolving problems
  --> Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
Error: Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
 You could try using --skip-broken to work around the problem
Rate this post:
  1. 24.07.2012 07:07:34
  2. # 1
Igor Seletskiy Accepted Answer
Posts: 1194
Joined: 09.02.2010
0
Votes
Undo
could you post full output starting with the the yum command itself.
  1. 24.07.2012 07:07:27
  2. # 2
Jacob Godin Accepted Answer
Posts: 5
Joined: 31.05.2012
0
Votes
Undo
# yum upd ate libguestfs

Loaded plugins: dellsysid, fastestmirror, priorities, rhnplugin
Loading mirror speeds from cached hostfile
 * cloudlinux-x86_64-server-5: xmlrpc.cln.cloudlinux.com
 * epel: www.muug.mb.ca
Setting up Upd ate Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
--> Processing Dependency: libguestfs = 1:1.2.14-7.el5 for package: ruby-libguestfs
---> Package libguestfs.x86_64 1:1.19.13-4.el5 set to be upd ated
--> Processing Dependency: febootstrap-supermin-helper >= 3.18 for package: libguestfs
--> Processing Dependency: zfs-fuse for package: libguestfs
--> Processing Dependency: netpbm-progs for package: libguestfs
--> Processing Dependency: lzop for package: libguestfs
--> Processing Dependency: kvm for package: libguestfs
--> Processing Dependency: gfs2-utils for package: libguestfs
--> Processing Dependency: fuse for package: libguestfs
--> Processing Dependency: /usr/lib64/liblzo2.so.2 for package: libguestfs
--> Processing Dependency: /lib64/libulockmgr.so.1 for package: libguestfs
--> Processing Dependency: /lib64/libfuse.so.2 for package: libguestfs
--> Processing Dependency: libulockmgr.so.1()(64bit) for package: libguestfs
--> Processing Dependency: libhivex.so.0()(64bit) for package: libguestfs
--> Processing Dependency: libfuse.so.2()(64bit) for package: libguestfs
--> Running transaction check
---> Package febootstrap-supermin-helper.x86_64 0:3.18-1.el5 set to be upd ated
---> Package fuse.x86_64 0:2.7.4-8.el5 set to be updated
---> Package fuse-libs.x86_64 0:2.7.4-8.el5 set to be updated
---> Package gfs2-utils.x86_64 0:0.1.62-34.el5 set to be updated
---> Package hivex.x86_64 0:1.3.5-5.el5 set to be updated
--> Processing Dependency: perl(Win::Hivex::Regedit) for package: hivex
--> Processing Dependency: perl(Win::Hivex) for package: hivex
---> Package kvm.x86_64 0:83-249.el5_8 set to be updated
--> Processing Dependency: etherboot-zroms-kvm >= 5.4.4-13.el5 for package: kvm
--> Processing Dependency: qspice-libs for package: kvm
--> Processing Dependency: kmod-kvm for package: kvm
--> Processing Dependency: liblog4cpp.so.4()(64bit) for package: kvm
--> Processing Dependency: libqavutil.so.49()(64bit) for package: kvm
--> Processing Dependency: libqavcodec.so.51()(64bit) for package: kvm
--> Processing Dependency: libqcairo.so.2()(64bit) for package: kvm
--> Processing Dependency: libcelt051.so.0()(64bit) for package: kvm
--> Processing Dependency: libspice.so.0()(64bit) for package: kvm
---> Package lzo.x86_64 0:2.02-2.el5.1 set to be updated
---> Package lzop.x86_64 0:1.03-2.el5 set to be updated
---> Package netpbm-progs.x86_64 0:10.35.58-10.el5 set to be updated
--> Processing Dependency: netpbm = 10.35.58-10.el5 for package: netpbm-progs
--> Processing Dependency: libnetpbm.so.10()(64bit) for package: netpbm-progs
---> Package ruby-libguestfs.x86_64 1:1.19.13-4.el5 set to be updated
---> Package zfs-fuse.x86_64 0:0.6.9_p1-6.20100709git.el5.1 set to be updated
--> Running transaction check
---> Package celt051.x86_64 0:0.5.1.3-0.el5 set to be updated
--> Processing Dependency: libogg.so.0()(64bit) for package: celt051
---> Package etherboot-zroms-kvm.x86_64 0:5.4.4-15.el5 set to be updated
---> Package kvm.x86_64 0:83-249.el5_8 set to be updated
--> Processing Dependency: kmod-kvm for package: kvm
---> Package log4cpp.x86_64 0:1.0-9.el5 set to be updated
---> Package netpbm.x86_64 0:10.35.58-10.el5 set to be updated
---> Package perl-hivex.x86_64 0:1.3.5-5.el5 set to be updated
---> Package qcairo.x86_64 0:1.8.7.1-3.el5 set to be updated
--> Processing Dependency: libqpixman-1.so.0()(64bit) for package: qcairo
---> Package qffmpeg-libs.x86_64 0:0.4.9-0.16.20080908.el5_5 set to be updated
---> Package qspice-libs.x86_64 0:0.3.0-54.el5_5.2 set to be updated
--> Processing Dependency: libGLU.so.1()(64bit) for package: qspice-libs
--> Running transaction check
---> Package kvm.x86_64 0:83-249.el5_8 se t to be updated
--> Processing Dependency: kmod-kvm for package: kvm
---> Package libogg.x86_64 2:1.1.3-3.el5 se t to be updated
---> Package mesa-libGLU.x86_64 0:6.5.1-7.10.el5 se t to be updated
---> Package qpixman.x86_64 0:0.13.3-4.el5 se t to be updated
--> Finished Dependency Resolution
kvm-83-249.el5_8.x86_64 from cloudlinux-x86_64-server-5 has depsolving problems
  --> Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
Error: Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
  1. 24.07.2012 08:07:01
  2. # 3
Igor Seletskiy Accepted Answer
Posts: 1194
Joined: 09.02.2010
0
Votes
Undo
could you do yum clean all, and then this command again, and send full output.
I think some of the packages are getting picked up from epel, not our repo.
  1. 24.07.2012 08:07:22
  2. # 4
Jacob Godin Accepted Answer
Posts: 5
Joined: 31.05.2012
0
Votes
Undo
# yum upd ate libguestfs

Loaded plugins: dellsysid, fastestmirror, priorities, rhnplugin
Determining fastest mirrors
 * cloudlinux-x86_64-server-5: xmlrpc.cln.cloudlinux.com
 * epel: www.muug.mb.ca
cloudlinux-x86_64-server-5                                                               | 1.0 kB     00:00     
cloudlinux-x86_64-server-5/primary                                                       | 2.5 MB     00:00     
cloudlinux-x86_64-server-5                                                                            8411/8411
dell-omsa-indep                                                                          | 1.9 kB     00:00     
dell-omsa-indep/primary                                                                  | 164 kB     00:00     
dell-omsa-indep                                                                                       1333/1333
dell-omsa-specific                                                                       | 1.9 kB     00:00     
dell-omsa-specific/primary                                                               | 2.5 kB     00:00     
dell-omsa-specific                                                                                          9/9
epel                                                                                     | 3.4 kB     00:00     
epel/primary_db                                                                          | 3.8 MB     00:00     
r1soft                                                                                   |  951 B     00:00     
r1soft/primary                                                                           |  17 kB     00:00     
r1soft                                                                                                    11/11
utterramblings                                                                           |  951 B     00:00     
utterramblings/primary                                                                   |  58 kB     00:00     
utterramblings                                                                                          201/201
Setting up Upd ate Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
--> Processing Dependency: libguestfs = 1:1.2.14-7.el5 for package: ruby-libguestfs
---> Package libguestfs.x86_64 1:1.19.13-4.el5 set to be upd ated
cloudlinux-x86_64-server-5/filelists                                                     |  16 MB     00:04     
dell-omsa-indep/filelists                                                                | 276 kB     00:00     
dell-omsa-specific/filelists                                                             | 2.7 kB     00:00     
epel/filelists_db                                                                        | 5.4 MB     00:01     
r1soft/filelists                                                                         |  13 kB     00:00     
utterramblings/filelists                                                                 | 153 kB     00:00     
--> Processing Dependency: febootstrap-supermin-helper >= 3.18 for package: libguestfs
--> Processing Dependency: zfs-fuse for package: libguestfs
--> Processing Dependency: netpbm-progs for package: libguestfs
--> Processing Dependency: lzop for package: libguestfs
--> Processing Dependency: kvm for package: libguestfs
--> Processing Dependency: gfs2-utils for package: libguestfs
--> Processing Dependency: fuse for package: libguestfs
--> Processing Dependency: /usr/lib64/liblzo2.so.2 for package: libguestfs
--> Processing Dependency: /lib64/libulockmgr.so.1 for package: libguestfs
--> Processing Dependency: /lib64/libfuse.so.2 for package: libguestfs
--> Processing Dependency: libulockmgr.so.1()(64bit) for package: libguestfs
--> Processing Dependency: libhivex.so.0()(64bit) for package: libguestfs
--> Processing Dependency: libfuse.so.2()(64bit) for package: libguestfs
--> Running transaction check
---> Package febootstrap-supermin-helper.x86_64 0:3.18-1.el5 set to be upd ated
---> Package fuse.x86_64 0:2.7.4-8.el5 set to be updated
---> Package fuse-libs.x86_64 0:2.7.4-8.el5 set to be updated
---> Package gfs2-utils.x86_64 0:0.1.62-34.el5 set to be updated
---> Package hivex.x86_64 0:1.3.5-5.el5 set to be updated
--> Processing Dependency: perl(Win::Hivex::Regedit) for package: hivex
--> Processing Dependency: perl(Win::Hivex) for package: hivex
---> Package kvm.x86_64 0:83-249.el5_8 set to be updated
--> Processing Dependency: etherboot-zroms-kvm >= 5.4.4-13.el5 for package: kvm
--> Processing Dependency: qspice-libs for package: kvm
--> Processing Dependency: kmod-kvm for package: kvm
--> Processing Dependency: liblog4cpp.so.4()(64bit) for package: kvm
--> Processing Dependency: libqavutil.so.49()(64bit) for package: kvm
--> Processing Dependency: libqavcodec.so.51()(64bit) for package: kvm
--> Processing Dependency: libqcairo.so.2()(64bit) for package: kvm
--> Processing Dependency: libcelt051.so.0()(64bit) for package: kvm
--> Processing Dependency: libspice.so.0()(64bit) for package: kvm
---> Package lzo.x86_64 0:2.02-2.el5.1 set to be updated
---> Package lzop.x86_64 0:1.03-2.el5 set to be updated
---> Package netpbm-progs.x86_64 0:10.35.58-10.el5 set to be updated
--> Processing Dependency: netpbm = 10.35.58-10.el5 for package: netpbm-progs
--> Processing Dependency: libnetpbm.so.10()(64bit) for package: netpbm-progs
---> Package ruby-libguestfs.x86_64 1:1.19.13-4.el5 set to be updated
---> Package zfs-fuse.x86_64 0:0.6.9_p1-6.20100709git.el5.1 set to be updated
--> Running transaction check
---> Package celt051.x86_64 0:0.5.1.3-0.el5 set to be updated
--> Processing Dependency: libogg.so.0()(64bit) for package: celt051
---> Package etherboot-zroms-kvm.x86_64 0:5.4.4-15.el5 set to be updated
---> Package kvm.x86_64 0:83-249.el5_8 set to be updated
--> Processing Dependency: kmod-kvm for package: kvm
---> Package log4cpp.x86_64 0:1.0-9.el5 set to be updated
---> Package netpbm.x86_64 0:10.35.58-10.el5 set to be updated
---> Package perl-hivex.x86_64 0:1.3.5-5.el5 set to be updated
---> Package qcairo.x86_64 0:1.8.7.1-3.el5 set to be updated
--> Processing Dependency: libqpixman-1.so.0()(64bit) for package: qcairo
---> Package qffmpeg-libs.x86_64 0:0.4.9-0.16.20080908.el5_5 set to be updated
---> Package qspice-libs.x86_64 0:0.3.0-54.el5_5.2 set to be updated
--> Processing Dependency: libGLU.so.1()(64bit) for package: qspice-libs
--> Running transaction check
---> Package kvm.x86_64 0:83-249.el5_8 se t to be updated
--> Processing Dependency: kmod-kvm for package: kvm
---> Package libogg.x86_64 2:1.1.3-3.el5 se t to be updated
---> Package mesa-libGLU.x86_64 0:6.5.1-7.10.el5 se t to be updated
---> Package qpixman.x86_64 0:0.13.3-4.el5 se t to be updated
--> Finished Dependency Resolution
kvm-83-249.el5_8.x86_64 from cloudlinux-x86_64-server-5 has depsolving problems
  --> Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
Error: Missing Dependency: kmod-kvm is needed by package kvm-83-249.el5_8.x86_64 (cloudlinux-x86_64-server-5)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
  1. 24.07.2012 08:07:20
  2. # 5
Igor Seletskiy Accepted Answer
Posts: 1194
Joined: 09.02.2010
0
Votes
Undo
Could you please submit ticket at helpdesk.cloudlinux.com with server access -- we are just missing some of the info needed :(
  1. 24.07.2012 08:07:34
  2. # 6
Jacob Godin Accepted Answer
Posts: 5
Joined: 31.05.2012
0
Votes
Undo
You were right, looks like it was trying to pull libguestfs from EPEL. Set an exclude for *libguestfs* and it\'s fine :).

Thanks!
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.